Glance scrubber date formatting fails w/ Postgres

Bug #1022369 reported by Dan Prince on 2012-07-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Glance
Medium
Dan Prince
Essex
Medium
Brian Waldon
glance (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

When using Glance w/ PostgreSQL I'm seeing the following error:

[root@nova1 ~]# glance-scrubber --config-file=/etc/glance/glance-scrubber.conf
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/eventlet/greenpool.py", line 80, in _spawn_n_impl
    func(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/glance/store/scrubber.py", line 127, in run
    self._cleanup(pool)
  File "/usr/lib/python2.7/site-packages/glance/store/scrubber.py", line 174, in _cleanup
    time_fmt))
  File "/usr/lib64/python2.7/_strptime.py", line 454, in _strptime_time
    return _strptime(data_string, format)[0]
  File "/usr/lib64/python2.7/_strptime.py", line 328, in _strptime
    data_string[found.end():])
ValueError: unconverted data remains: .314649

Related branches

Dan Prince (dan-prince) on 2012-07-08
Changed in glance:
assignee: nobody → Dan Prince (dan-prince)
status: New → In Progress
importance: Undecided → Medium
Brian Waldon (bcwaldon) on 2012-07-11
Changed in glance:
milestone: none → folsom-3

Reviewed: https://review.openstack.org/9495
Committed: http://github.com/openstack/glance/commit/ade7b4f7d0ed907d87c0b906fcbf9bd5649d4c09
Submitter: Jenkins
Branch: master

commit ade7b4f7d0ed907d87c0b906fcbf9bd5649d4c09
Author: Dan Prince <email address hidden>
Date: Sun Jul 8 16:44:58 2012 -0400

    Remove microseconds before time format conversion.

    Updates Glance scrubber so that it chops microseconds off of the
    date format before parsing a time format string. This fixes
    an exceptions that can occur when using scrubber with databases
    like PostgreSQL which include microseconds in date strings.

    Fixes LP Bug #1022369.

    Change-Id: I2e9eb66052d8ce34438a4c1ba7a5174cc2385bcf

Changed in glance:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/10860
Committed: http://github.com/openstack/glance/commit/5fa9821cd2f03e85a1662efdf100b6438d20a39d
Submitter: Jenkins
Branch: stable/essex

commit 5fa9821cd2f03e85a1662efdf100b6438d20a39d
Author: Dan Prince <email address hidden>
Date: Sun Jul 8 16:44:58 2012 -0400

    Remove microseconds before time format conversion.

    Updates Glance scrubber so that it chops microseconds off of the
    date format before parsing a time format string. This fixes
    an exceptions that can occur when using scrubber with databases
    like PostgreSQL which include microseconds in date strings.

    Fixes LP Bug #1022369.

    Change-Id: I2e9eb66052d8ce34438a4c1ba7a5174cc2385bcf

Thierry Carrez (ttx) on 2012-08-15
Changed in glance:
status: Fix Committed → Fix Released
Dave Walker (davewalker) on 2012-08-24
Changed in glance (Ubuntu):
status: New → Fix Released
Changed in glance (Ubuntu Precise):
status: New → Confirmed

Please find the attached test log from the Ubuntu Server Team's CI infrastructure. As part of the verification process for this bug, Glance has been deployed and configured across multiple nodes using precise-proposed as an installation source. After successful bring-up and configuration of the cluster, a number of exercises and smoke tests have be invoked to ensure the updated package did not introduce any regressions. A number of test iterations were carried out to catch any possible transient errors.

Please Note the list of installed packages at the top and bottom of the report.

For records of upstream test coverage of this update, please see the Jenkins links in the comments of the relevant upstream code-review(s):

Trunk review: https://review.openstack.org/9495
Stable review: https://review.openstack.org/10860

As per the provisional Micro Release Exception granted to this package by the Technical Board, we hope this contributes toward verification of this update.

Adam Gandelman (gandelman-a) wrote :

Test coverage log.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 2012.1.3+stable~20120821-120fcf-0ubuntu1

---------------
glance (2012.1.3+stable~20120821-120fcf-0ubuntu1) precise-proposed; urgency=low

  * New upstream snapshot. (LP: #1041120)
  * Resynchronzie with stable/essex:
    - Glance add uploads a double image if using ssl and images is smaller
      than 4k. (LP: #1007093)
    - If response.environ is None, instance fails to spawn.
      (LP: #1010560)
    - exception.BadStoreURL exposes sensitive information to end users.
      (LP: #1012268)
    - glance-cache.conf needs metadata encryption key (LP: #1012752)
    - image.upload notification doesn't report size (LP: #1018246)
    - Admins should be able to share image regardless of ownership.
      (LP: #1021054)
    - Glance scrubber date formatting fails with postgres (LP: #1022369)
    - Support zero-size image creation. (LP: #1025353)
    - Image id not contained in swift chunk debug message. (LP: #1028433)
    - qpid_heartbeat setting is ineffective. (LP: #1032314)
    - Image properties that reference image ids are not updated to UUIDs.
      (LP: #975651)
    - Migration 012_id_to_uuid attempts to convert IDs twice for non-sqlite
      databases. (LP: #975655)
    - multiprocess glance-api failed to exit when stopped by ctrl+c.
      (LP: #978130)
    - /usr/bin/glance's built-in pager breaks redirection.
      (LP: #978610)
    - Content-Length and Transfer-Encoding are mutually exclusive HTTP headers
      (LP: #981332)
    - glance add command - incorrect help text (LP: #997565)
  * debian/patches/convert_properties_to_uuid.patch: Dropped no longer
    needed.
  * debian/patches/fix-pep8-ubuntu.patch: Dropped no longer needed.
 -- Adam Gandelman <email address hidden> Fri, 24 Jun 2012 03:14:33 -0400

Changed in glance (Ubuntu Precise):
status: Confirmed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Thierry Carrez (ttx) on 2012-09-27
Changed in glance:
milestone: folsom-3 → 2012.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers